org.apache.cassandra.batchlog

## Class LegacyBatchlogMigrator

- java.lang.Object
- - org.apache.cassandra.batchlog.LegacyBatchlogMigrator

    public final class LegacyBatchlogMigrator
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `asyncRemoveFromBatchlog(java.util.Collection<java.net.InetAddress> endpoints, java.util.UUID uuid, long queryStartNanoTime)`
`static void` `handleLegacyMutation(Mutation mutation)`
`static boolean` `isLegacyBatchlogMutation(Mutation mutation)`
`static void` `migrate()`
`static void` `syncWriteToBatchlog(WriteResponseHandler<?> handler, Batch batch, java.util.Collection<java.net.InetAddress> endpoints)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### migrate

    public static void migrate()

#### isLegacyBatchlogMutation

    public static boolean isLegacyBatchlogMutation(Mutation mutation)

#### handleLegacyMutation

    public static void handleLegacyMutation(Mutation mutation)

#### syncWriteToBatchlog

    public static void syncWriteToBatchlog(WriteResponseHandler<?> handler,
                                           Batch batch,
                                           java.util.Collection<java.net.InetAddress> endpoints)
                                    throws WriteTimeoutException,
                                           WriteFailureException

Throws:
  `WriteTimeoutException`
  `WriteFailureException`

#### asyncRemoveFromBatchlog

    public static void asyncRemoveFromBatchlog(java.util.Collection<java.net.InetAddress> endpoints,
                                               java.util.UUID uuid,
                                               long queryStartNanoTime)